# List

<!-- MarkdownTOC -->

- [Static methods](#static-methods)
    - [List.createItem](#listcreateitem)
- [Properties](#properties)
    - [List#head](#listhead)
    - [List#tail](#listtail)
    - [List#cursor](#listcursor)
- [Methods](#methods)
    - [List#createItem\(\)](#listcreateitem-1)
    - [List#getSize\(\)](#listgetsize)
    - [List#fromArray\(\)](#listfromarray)
    - [List#toArray\(\)](#listtoarray)
    - [List#toJSON\(\)](#listtojson)
    - [List#isEmpty\(\)](#listisempty)
    - [List#first\(\)](#listfirst)
    - [List#last\(\)](#listlast)
    - [List#each\(\)](#listeach)
    - [List#eachRight\(\)](#listeachright)
    - [List#nextUntil\(\)](#listnextuntil)
    - [List#prevUntil\(\)](#listprevuntil)
    - [List#some\(\)](#listsome)
    - [List#map\(\)](#listmap)
    - [List#clear\(\)](#listclear)
    - [List#copy\(\)](#listcopy)
    - [List#updateCursors\(\)](#listupdatecursors)
    - [List#append\(\)](#listappend)
    - [List#appendData\(\)](#listappenddata)
    - [List#insert\(\)](#listinsert)
    - [List#remove\(\)](#listremove)
    - [List#appendList\(\)](#listappendlist)

<!-- /MarkdownTOC -->

## Static methods

### List.createItem

## Properties

### List#head

### List#tail

### List#cursor

## Methods

### List#createItem()

### List#getSize()

### List#fromArray()

### List#toArray()

### List#toJSON()

### List#isEmpty()

### List#first()

### List#last()

### List#each()

### List#eachRight()

### List#nextUntil()

### List#prevUntil()

### List#some()

### List#map()

### List#clear()

### List#copy()

### List#updateCursors()

### List#append()

### List#appendData()

### List#insert()

### List#remove()

### List#appendList()

